첨부 항목에 접근할 수 없음

Moses Skoda엔지니어1분 소요

이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/attachments-unreachable입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

다음 용어집을 이 엔진에 적용할 수 없습니다: <id>. 각 용어집은 엔진과 같은 조직에 속해야 하며, 사용자가 볼 수 있어야 합니다. 요청에서 해당 용어집을 제외하거나 접근 권한을 요청하세요.

필드#

본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
kind"glossary" | "ruleset" | "brandVoice"
idsstring[]

예시#

json
{
  "detail": "Cannot apply these glossaries to this engine: <id>. Each one must belong to the engine's organization and be visible to you. Leave them out of the request, or ask for access.",
  "kind": "glossary",
  "ids": [
    "<id>"
  ],
  "type": "https://lingo.dev/docs/api/errors/attachments-unreachable",
  "status": 422,
  "title": "Attachments out of reach"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/engines/{id}
  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs
  • PUT /v2/engines/{id}/glossaries/{glossaryId}
  • PUT /v2/engines/{id}/rulesets/{rulesetId}